Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class OptimizedInvocations

    java.lang.Object
      org.jboss.aop.instrument.OptimizedInvocations

Direct Known Subclasses:
  OptimizedBehaviourInvocations, OptimizedFieldInvocations

public abstract class OptimizedInvocations
extends Object

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Constructor Summary
`OptimizedInvocations()`

Method Summary
`static void` | `defrostClassIfExists(AOPClassPool pool, String className)`
`static javassist.CtClass` | `makeInvocationClass(AOPClassPool pool, boolean makeInnerClass, javassist.CtClass outerClass, String className, javassist.CtClass superInvocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptimizedInvocations

    public OptimizedInvocations()

Method Detail

### defrostClassIfExists

    public static void defrostClassIfExists(AOPClassPool pool,
                                            String className)

### makeInvocationClass

    public static javassist.CtClass makeInvocationClass(AOPClassPool pool,
                                                        boolean makeInnerClass,
                                                        javassist.CtClass outerClass,
                                                        String className,
                                                        javassist.CtClass superInvocation)
                                                 throws javassist.CannotCompileException,
                                                        javassist.NotFoundException

  Parameters:
    `pool` - The AOPClassPool to create the optimized invocation class in
    `makeInnerClass` - If true creates the new class as an inner class of className
    `outerClass` - The class to create the invocation class as an inner class of if makeInnerClass==true
    `className` - The full class name (including package info) of the invocation class to be created
    `superInvocation` - The super class of this invocation
  Returns:
    The created invocation class
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.